<?xml version="1.0" encoding="utf-8" ?>
<!-- DON'T ENABLE THIS FILE!!!!!!!!!!!!!!! -->
<!-- DON'T ENABLE THIS FILE!!!!!!!!!!!!!!! -->
<!-- DON'T ENABLE THIS FILE!!!!!!!!!!!!!!! -->
<EternityPatchFile name="Jungle" enabled="false" comment="experiments">

	--<Patch name="jun1" type="log" search_start="0x671B4" >
		<Instruction code="48 89 5C 24 08" />
		<Instruction code="48 89 6C 24 10" />
		<Instruction code="48 89 74 24 18" />
		<Instruction code="57" />
		<Instruction code="48 83 EC 40" />
		
		<Log function="CpkGetFileInfo" when="after" ra="true" value="cpk_object,file,ret_info,ret_bool" types="ptr,cstr,ptr,u32:0" select="1111" extra="0x30,?,0x40,d" />
	</Patch>
	
	<!--<Patch name="jun2" type="write" search_start="0x67231" >
		<Instruction code="48 83 23 00" />
		
		<Write value="90 90 90 90" />
	</Patch>-->
	
	<!--<Patch name="jun3" type="log" search_start="0x6BFBC" >
		<Instruction code="48 89 5C 24 08" />
		<Instruction code="57" />
		<Instruction code="48 83 EC 30" />
				
		<Log function="maybe_read" when="after" ra="true" value="unk1,unk2,path,offset,size,buf,size_too" types="ptr,ptr,cstr,u32,u64,ptr,u64" select="0011111" extra="?,?,?,h,h,?,h" />
	</Patch>-->
	
	<!--<Patch name="jun4" type="log" search_start="0x6A23C" >
		<Instruction code="48 8B C4" />
		<Instruction code="48 89 58 08" />
		<Instruction code="48 89 70 10" />
				
		<Log function="cpk_do_open_file" when="before" ra="true" value="unk1,path,unk3,unk4,unk5,unk6,unk7" types="ptr,cstr,ptr,ptr,ptr,ptr,ptr" select="0100000" extra="?,?,?,h,h,?,h" />
	</Patch>-->

</EternityPatchFile>
